Source: lalburst
Section: science
Priority: optional
Maintainer: Steffen Grunewald <steffen.grunewald@aei.mpg.de>
Uploaders: Adam Mercer <adam.mercer@ligo.org>, GitLab <gitlab@git.ligo.org>
Build-Depends: debhelper (>= 9),
  dh-python,
  libgsl-dev | libgsl0-dev (>= 1.9),
  libmetaio-dev (>= 8.2),
  liboctave-dev,
  pkg-config,
  python-all-dev,
  python-numpy,
  python3-all-dev,
  python3-numpy,
  swig (>= 3.0.7),
  zlib1g-dev,
  lal-dev (>= @MIN_LAL_VERSION@~),
  lal-octave (>= @MIN_LAL_VERSION@~),
  python-lal (>= @MIN_LAL_VERSION@~),
  python3-lal (>= @MIN_LAL_VERSION@~),
  lalmetaio-dev (>= @MIN_LALMETAIO_VERSION@~),
  lalmetaio-octave (>= @MIN_LALMETAIO_VERSION@~),
  python-lalmetaio (>= @MIN_LALMETAIO_VERSION@~),
  python3-lalmetaio (>= @MIN_LALMETAIO_VERSION@~),
  lalsimulation-dev (>= @MIN_LALSIMULATION_VERSION@~),
  lalsimulation-octave (>= @MIN_LALSIMULATION_VERSION@~),
  python-lalsimulation (>= @MIN_LALSIMULATION_VERSION@~),
  python3-lalsimulation (>= @MIN_LALSIMULATION_VERSION@~),
  python-scipy,
  python3-scipy,
  python-glue,
  python3-glue
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Standards-Version: 3.9.8

Package: lalburst
Architecture: any
Depends: ${misc:Depends},
  ${shlibs:Depends},
  libmetaio1 (>= 8.2),
  zlib1g,
  lal (>= @MIN_LAL_VERSION@~),
  lalmetaio (>= @MIN_LALMETAIO_VERSION@~),
  lalsimulation (>= @MIN_LALSIMULATION_VERSION@~)
Description: LSC Algorithm Library Burst
 The LSC Algorithm Burst Library for gravitational wave data analysis.
 This package contains the shared-object libraries needed to run applications
 that use the LAL Burst library.

Package: lalburst-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
  ${shlibs:Depends},
  libgsl-dev | libgsl0-dev (>= 1.9),
  libmetaio-dev (>= 8.2),
  zlib1g,
  lal-dev (>= @MIN_LAL_VERSION@~),
  lalmetaio-dev (>= @MIN_LALMETAIO_VERSION@~),
  lalsimulation-dev (>= @MIN_LALSIMULATION_VERSION@~),
  lalburst (= ${binary:Version})
Description: LSC Algorithm Library Burst Developers
 The LSC Algorithm Burst Library for gravitational wave data analysis.
 This package contains files needed build applications that use the LAL
 Burst library.

Package: lalburst-python
Depends: python-lalburst, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 lalburst-python was renamed python-lalburst,
 this is a transitional package, it can safely be removed.

Package: python-lalburst
Section: python
Replaces: lalburst-python (<< 1.4.4.1-1~)
Breaks: lalburst-python (<< 1.4.4.1-1)
Architecture: any
Depends: ${misc:Depends},
  ${python:Depends},
  ${shlibs:Depends},
  python-lal (>= @MIN_LAL_VERSION@~),
  python-lalmetaio (>= @MIN_LALMETAIO_VERSION@~),
  python-lalsimulation (>= @MIN_LALSIMULATION_VERSION@~),
  python-ligo-segments,
  lalburst (= ${binary:Version}),
  python-scipy,
  python-glue
Description: Python bindings for LALBurst
 The LSC Algorithm Burst Library for gravitational wave data analysis.
 This package contains Python bindings for the LAL Burst library.

Package: lalburst-python3
Depends: python3-lalburst, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 lalburst-python3 was renamed python3-lalburst,
 this is a transitional package, it can safely be removed.

Package: python3-lalburst
Section: python
Replaces: lalburst-python3 (<< 1.4.4.1-1~)
Breaks: lalburst-python3 (<< 1.4.4.1-1)
Architecture: any
Depends: ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
  python3-lal (>= @MIN_LAL_VERSION@~),
  python3-lalmetaio (>= @MIN_LALMETAIO_VERSION@~),
  python3-lalsimulation (>= @MIN_LALSIMULATION_VERSION@~),
  python3-ligo-segments,
  lalburst (= ${binary:Version}),
  python3-scipy,
  python3-glue
Description: Python 3 bindings foar LALBurst
 The LSC Algorithm Burst Library for gravitational wave data analysis.
 This package contains Python 3 bindings for the LAL Burst library.

Package: lalburst-octave
Architecture: any
Depends: ${misc:Depends},
  ${shlibs:Depends},
  octave,
  lal-octave (>= @MIN_LAL_VERSION@~),
  lalmetaio-octave (>= @MIN_LALMETAIO_VERSION@~),
  lalsimulation-octave (>= @MIN_LALSIMULATION_VERSION@~),
  lalburst (= ${binary:Version})
Description: Octave bindings for LALBurst
 The LSC Algorithm Burst Library for gravitational wave data analysis.
 This package contains Octave bindings for the LAL Burst library.
